TextAreaMouseHandler (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit.textarea

## Class TextAreaMouseHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.event.MouseInputAdapter
    - - org.gjt.sp.jedit.textarea.TextAreaMouseHandler

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, javax.swing.event.MouseInputListener
  Direct Known Subclasses:
    MouseHandler

      public class TextAreaMouseHandler
      extends javax.swing.event.MouseInputAdapter

  Standalone TextArea MouseHandler.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `clickCount`
    `protected boolean` | `control`
    `protected boolean` | `ctrlForRectangularSelection`
    `protected boolean` | `dragged`
    `protected int` | `dragStart`
    `protected int` | `dragStartLine`
    `protected int` | `dragStartOffset`
    `protected boolean` | `maybeDragAndDrop`
    `protected boolean` | `quickCopyDrag`
    `protected TextArea` | `textArea`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDoubleClick()`
    `protected void` | `doSingleClick(java.awt.event.MouseEvent evt)`
    `protected void` | `doTripleClick()`
    `static boolean` | `isMiddleButton(int modifiers)`
    `static boolean` | `isPopupTrigger(java.awt.event.MouseEvent evt)` Returns if the specified event is the popup trigger event.
    `static boolean` | `isRightButton(int modifiers)`
    `void` | `mouseDragged(java.awt.event.MouseEvent evt)`
    `void` | `mouseMoved(java.awt.event.MouseEvent evt)`
    `void` | `mousePressed(java.awt.event.MouseEvent evt)`
    `void` | `mouseReleased(java.awt.event.MouseEvent evt)`
    `protected void` | `showCursor()`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseEntered, mouseExited, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited`

- - ### Field Detail

    - #### textArea

          protected final TextArea textArea

    - #### dragStartLine

          protected int dragStartLine

    - #### dragStartOffset

          protected int dragStartOffset

    - #### dragStart

          protected int dragStart

    - #### clickCount

          protected int clickCount

    - #### dragged

          protected boolean dragged

    - #### quickCopyDrag

          protected boolean quickCopyDrag

    - #### control

          protected boolean control

    - #### ctrlForRectangularSelection

          protected boolean ctrlForRectangularSelection

    - #### maybeDragAndDrop

          protected boolean maybeDragAndDrop

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent evt)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Overrides:
        `mousePressed` in class `java.awt.event.MouseAdapter`

    - #### doSingleClick

          protected void doSingleClick(java.awt.event.MouseEvent evt)

    - #### doDoubleClick

          protected void doDoubleClick()

    - #### doTripleClick

          protected void doTripleClick()

    - #### mouseMoved

          public void mouseMoved(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseMoved` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseMoved` in class `java.awt.event.MouseAdapter`

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseDragged` in class `java.awt.event.MouseAdapter`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `java.awt.event.MouseAdapter`

    - #### isPopupTrigger

          public static boolean isPopupTrigger(java.awt.event.MouseEvent evt)

      Returns if the specified event is the popup trigger event. This implements precisely defined behavior, as opposed to MouseEvent.isPopupTrigger().
      Parameters:
        `evt` - The event
      Since:
        jEdit 4.3pre7

    - #### isMiddleButton

          public static boolean isMiddleButton(int modifiers)

      Parameters:
        `modifiers` - The modifiers flag from a mouse event
      Returns:
        true if the modifier match the middle button
      Since:
        jEdit 4.3pre7

    - #### isRightButton

          public static boolean isRightButton(int modifiers)

      Parameters:
        `modifiers` - The modifiers flag from a mouse event
      Returns:
        true if the modifier match the right button
      Since:
        jEdit 4.3pre7

    - #### showCursor

          protected void showCursor()